Package org.opensaml.saml.saml2.core

# Interface Action

All Superinterfaces:
  `SAMLObject`, `XMLObject`, `XSString`

All Known Implementing Classes:
  `ActionImpl`

public interface Action extends SAMLObject, XSString
SAML 2.0 Core Action.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTROL_ACTION`
Control action.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`DELETE_ACTION`
Delete action.
`static final String`
`EXECUTE_ACTION`
Execute action.
`static final String`
`GHPP_NS_URI`
Get/Head/Put/Post action namespace.
`static final String`
`HTTP_GET_ACTION`
HTTP GET action.
`static final String`
`HTTP_HEAD_ACTION`
HTTP HEAD action.
`static final String`
`HTTP_POST_ACTION`
HTTP POST action.
`static final String`
`HTTP_PUT_ACTION`
HTTP PUT action.
`static final String`
`NAMEPSACE_ATTRIB_NAME`
Name of the Namespace attribute.
`static final String`
`NEG_CONTROL_ACTION`
Negated Control action.
`static final String`
`NEG_DELETE_ACTION`
Negated Delete action.
`static final String`
`NEG_EXECUTE_ACTION`
Negated Execute action.
`static final String`
`NEG_READ_ACTION`
Negated Read action.
`static final String`
`NEG_WRITE_ACTION`
Negated Write action.
`static final String`
`READ_ACTION`
Read action.
`static final String`
`RWEDC_NEGATION_NS_URI`
Read/Write/Execute/Delete/Control negation action namespace.
`static final String`
`RWEDC_NS_URI`
Read/Write/Execute/Delete/Control action namespace.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`UNIX_NS_URI`
UNIX file permission action namespace.
`static final String`
`WRITE_ACTION`
Write action.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespace()`
Gets the namespace scope of the specified action.
`void`
`setNamespace(String newNamespace)`
Sets the namespace scope of the specified action.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NAMEPSACE_ATTRIB_NAME

@Nonnull @NotEmpty static final String NAMEPSACE_ATTRIB_NAME
Name of the Namespace attribute.

See Also:
  - Constant Field Values

### RWEDC_NS_URI

@Nonnull @NotEmpty static final String RWEDC_NS_URI
Read/Write/Execute/Delete/Control action namespace.

See Also:
  - Constant Field Values

### RWEDC_NEGATION_NS_URI

@Nonnull @NotEmpty static final String RWEDC_NEGATION_NS_URI
Read/Write/Execute/Delete/Control negation action namespace.

See Also:
  - Constant Field Values

### GHPP_NS_URI

@Nonnull @NotEmpty static final String GHPP_NS_URI
Get/Head/Put/Post action namespace.

See Also:
  - Constant Field Values

### UNIX_NS_URI

@Nonnull @NotEmpty static final String UNIX_NS_URI
UNIX file permission action namespace.

See Also:
  - Constant Field Values

### READ_ACTION

@Nonnull @NotEmpty static final String READ_ACTION
Read action.

See Also:
  - Constant Field Values

### WRITE_ACTION

@Nonnull @NotEmpty static final String WRITE_ACTION
Write action.

See Also:
  - Constant Field Values

### EXECUTE_ACTION

@Nonnull @NotEmpty static final String EXECUTE_ACTION
Execute action.

See Also:
  - Constant Field Values

### DELETE_ACTION

@Nonnull @NotEmpty static final String DELETE_ACTION
Delete action.

See Also:
  - Constant Field Values

### CONTROL_ACTION

@Nonnull @NotEmpty static final String CONTROL_ACTION
Control action.

See Also:
  - Constant Field Values

### NEG_READ_ACTION

@Nonnull @NotEmpty static final String NEG_READ_ACTION
Negated Read action.

See Also:
  - Constant Field Values

### NEG_WRITE_ACTION

@Nonnull @NotEmpty static final String NEG_WRITE_ACTION
Negated Write action.

See Also:
  - Constant Field Values

### NEG_EXECUTE_ACTION

@Nonnull @NotEmpty static final String NEG_EXECUTE_ACTION
Negated Execute action.

See Also:
  - Constant Field Values

### NEG_DELETE_ACTION

@Nonnull @NotEmpty static final String NEG_DELETE_ACTION
Negated Delete action.

See Also:
  - Constant Field Values

### NEG_CONTROL_ACTION

@Nonnull @NotEmpty static final String NEG_CONTROL_ACTION
Negated Control action.

See Also:
  - Constant Field Values

### HTTP_GET_ACTION

@Nonnull @NotEmpty static final String HTTP_GET_ACTION
HTTP GET action.

See Also:
  - Constant Field Values

### HTTP_HEAD_ACTION

@Nonnull @NotEmpty static final String HTTP_HEAD_ACTION
HTTP HEAD action.

See Also:
  - Constant Field Values

### HTTP_PUT_ACTION

@Nonnull @NotEmpty static final String HTTP_PUT_ACTION
HTTP PUT action.

See Also:
  - Constant Field Values

### HTTP_POST_ACTION

@Nonnull @NotEmpty static final String HTTP_POST_ACTION
HTTP POST action.

See Also:
  - Constant Field Values

## Method Details

### getNamespace

@Nullable String getNamespace()
Gets the namespace scope of the specified action.

Returns:
  the namespace scope of the specified action

### setNamespace

void setNamespace(@Nullable String newNamespace)
Sets the namespace scope of the specified action.

Parameters:
  `newNamespace` - the namespace scope of the specified action